import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-react-core/ES5/TrendLineType";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { PenLineCap } from "igniteui-react-core/ES5/PenLineCap";
import { DoubleCollection } from "igniteui-react-core/ES5/DoubleCollection";
import { PriceDisplayType } from "./PriceDisplayType";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { ITrendLineManager } from "./ITrendLineManager";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { AxisRange } from "./AxisRange";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { Path } from "igniteui-react-core/ES5/Path";
import { GeometryGroup } from "igniteui-react-core/ES5/GeometryGroup";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    o7: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    pr: Brush;
    static readonly ph: DependencyProperty;
    trendLineThickness: number;
    pu: PenLineCap;
    pt: DoubleCollection;
    trendLinePeriod: number;
    pb: number;
    protected ho(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    o8: PriceDisplayType;
    protected bd(): SeriesHitTestMode;
    li(a: Point): Rect;
    private o6(a, b);
    ak(a: Point): Rect[];
    de(a: Point, b: boolean): boolean;
    protected dh(a: Point, b: boolean): boolean;
    protected io(a: any, b: string, c: any, d: any): void;
    private pg();
    an(a: Axis): AxisRange;
    ao(): AxisRange;
    ec(): number;
    c6(a: any): boolean;
    dt(a: Rect, b: Rect, c: SeriesView): boolean;
    ol(a: CategoryFrame, b: FinancialSeriesView): void;
    hl(a: boolean, b: SeriesView): void;
    protected get_my(): boolean;
    protected readonly my: boolean;
    on(a: CategoryFrame, b: FinancialSeriesView): void;
    eb(): number;
    private pf(a, b, c);
    private o9(a, b);
    private pe(a, b);
    fm(a: any, b: Point): any;
    protected jc(): void;
    protected hu(a: any): void;
    ps: Brush;
    i6(a: Brush, b: Brush): void;
    static $$p: string[];
    static $t: Type;
}
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    protected by: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    b1: Pool$1<Path>;
    cj(): Path;
    protected b4: List$1<Path>;
    b9(a: Path): void;
    cb(a: Path): void;
    ca(a: Path): void;
    protected bt(): FinancialBucketCalculator;
    ap(): void;
    private ci;
    private ch;
    private bz;
    b0: ITrendLineManager;
    readonly b2: boolean;
    cc(): void;
    b6(): void;
    b5(): void;
    cf(): GeometryGroup;
    ce(): GeometryGroup;
    cd(): void;
    protected a8(): void;
    protected a9(): void;
    protected z(a: number): any;
    private cg;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    protected a2(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    b7(): void;
    b3: boolean;
    b8(): void;
    static $t: Type;
}
